// frame
// Evita

$Frame::XPos = "0";
$Frame::YPos = "684";

function Frame::Init() {

	if($Frame::Loaded)
	  return;

	$Frame::Loaded = true;

	$FrameHUD::Container = newObject("FrameHUD_Container", SimGui::Control, $Frame::Xpos, $Frame::Ypos, 371, 85);
	$FrameHUD = newObject("Frame_BMP", FearGuiFormattedText, 0, 0, 371, 85);

	addToSet($FrameHUD::Container, $FrameHUD); 
}

function Frame::Update() {

	if(!$Mode::PlayMode)
	  return;

	%frame = "<B0,0:bmp\\frame.bmp>";	

	control::setValue("Frame_BMP", %frame);
}

function Frame::GuiOpen(%gui) {

	if(%gui != playGui)
	  return;

	addToSet(playGui, $FrameHUD::Container);

	Frame::Update();
}

function Frame::GuiClose(%gui) {

	if(%gui != playGui)
	  return;

	removeFromSet(playGui, $FrameHUD::Container);
}

function Frame::Destroy() {

        removeFromSet(playGui, $FrameHUD::Container);
	deleteObject($FrameHUD::Container);
}

onCall(GuiOpen, Frame::GuiOpen);
onCall(GuiClose, Frame::GuiClose);
onCall(ExitGame, Frame::Destroy);

Frame::Init();