// item
// Evita

// Based off WooHoos version.

$Item::XPos = "184";
$Item::YPos = "723";

function Item::Init() {

	if($Item::Loaded)
	  return;

	$Item::Loaded = true;

	$ItemHUD::Container = newObject("ItemHUD_Container", SimGui::Control, $Item::Xpos, $Item::Ypos, 186, 45);
	$ItemHUD[0] = newObject("ItemHUD_BG", FearGui::FearGuiMenu, 0, 0, 186, 45);
	$ItemHUD[1] = newObject("Item_BMP", FearGuiFormattedText, 60, 1, 80, 45);

	control::setVisible("ItemHUD_BG", true);

	for(%i = 0; $ItemHUD[%i] != ""; %i++)
	  addToSet($ItemHUD::Container, $ItemHUD[%i]); 

	Item::Update();
}

function Item::Update() {

	if(!$Mode::PlayMode)
	  return;

	%items = "";

	%nades = getItemCount("grenade");
	%mines = getItemCount("mine");
	%kit = getItemCount("Repair Kit");

	if(%kit)
	  %items = %items @ "<B0,8:bmp\\kit.bmp>";

	for (%i = 0; %i < %mines; %i++) {

		%items = %items @ "<B0,8:bmp\\mines.bmp>";
	}

	for (%i = 0; %i < %nades; %i++) {

		%items = %items @ "<B0,8:bmp\\nades.bmp>";
	}

	control::setValue("Item_BMP", %items);

	schedule("Item::Update();", 1);
}

function Item::GuiOpen(%gui) {

	if(%gui != playGui)
	  return;

	addToSet(playGui, $ItemHUD::Container);
	
	Item::Update();
}

function Item::GuiClose(%gui) {

	if(%gui != playGui)
	  return;

	removeFromSet(playGui, $ItemHUD::Container);
}

function Item::Destroy() {

        removeFromSet(playGui, $ItemHUD::Container);
	deleteObject($ItemHUD::Container);
}

onCall(GuiOpen, Item::GuiOpen);
onCall(GuiClose, Item::GuiClose);
onCall(ExitGame, Item::Destroy);

Item::Init();