// killtrak
// Evita    

$KillTrak::Xpos = "450";
$KillTrak::Ypos = "50";

function KillTrak::Init() {

	if($KillTrak::Loaded)
	  return;

	$KillTrak::Loaded = true;

	$KillTrak::Container = newObject("KillTrak_Container", SimGui::Control, $KillTrak::Xpos, $KillTrak::Ypos, 300, 30);
	$KillTrak::HUD = newObject("KillTrak_Text", FearGuiFormattedText, 0, 0, 100, 30);

	addToSet($KillTrak::Container, $KillTrak::HUD); 

	$KillMsg[1]      = "Frisbee of Death thrown by " @ $PCFG::Name;
	$KillMsg[2]      = $PCFG::Name @ " blasts";
	$KillMsg[3]      = $PCFG::Name @ "'s spinfusor caught";
	$KillMsg[4]      = $PCFG::Name @ "'s Stormhammer.";
	$KillMsg[5]      = $PCFG::Name @ " ventilates";
	$KillMsg[6]      = $PCFG::Name @ " gives";
	$KillMsg[7]      = $PCFG::Name @ " fills";
	$KillMsg[8]      = $PCFG::Name @ " guns down";
	$KillMsg[9]      = $PCFG::Name @ " adds";
	$KillMsg[10]     = $PCFG::Name @ " fells";
	$KillMsg[11]     = $PCFG::Name @ "'s laser rifle.";
	$KillMsg[12]     = $PCFG::Name @ "'s crosshairs";
	$KillMsg[13]     = $PCFG::Name @ "'s plasma.";
	$KillMsg[14]     = $PCFG::Name @ " asks";
	$KillMsg[15]     = $PCFG::Name @ " blows";
	$KillMsg[16]     = $PCFG::Name @ "'s explosive temper.";
	$KillMsg[17]     = " never saw it coming from " @ $PCFG::Name;
	$KillMsg[18]     = $PCFG::Name @ " mortars";
	$KillMsg[19]     = " mortar from " @ $PCFG::Name;
	$KillMsg[20]     = $PCFG::Name @ " inflicts";
	$KillMsg[21]     = $PCFG::Name @ "'s mortar takes out ";
	$KillMsg[22]     = " gets a blast out of " @ $PCFG::Name;
	$KillMsg[23]     = $PCFG::Name @ "'s rain of blaster fire.";
	$KillMsg[24]     = $PCFG::Name @ "'s puny blaster shows ";
	$KillMsg[25]     = $PCFG::Name @ "'s master blaster.";
	$KillMsg[26]     = $PCFG::Name @ " makes quite an impact on ";
	$KillMsg[27]     = " becomes the victim of a fly-by from " @ $PCFG::Name;
	$KillMsg[28]     = " leaves a nasty dent in " @ $PCFG::Name;
	$KillMsg[29]     = $PCFG::Name @ " says, 'Hey ";
	$KillMsg[30]     = $PCFG::Name @ "'s ELF gun.";
	$KillMsg[31]     = " out of meeting " @ $PCFG::Name;
	$KillMsg[32]     = $PCFG::Name @ " short-circuits ";

	$KillMsg[33]     = $PCFG::Name @ " catches a Frisbee";
	$KillMsg[34]     = " blasts " @ $PCFG::Name;
	$KillMsg[35]     = " spinfusor caught " @ $PCFG::Name;
	$KillMsg[36]     = $PCFG::Name @ " falls victim to ";
	$KillMsg[37]     = " ventilates " @ $PCFG::Name;
	$KillMsg[38]     = $PCFG::Name @ " an overdose of lead.";
	$KillMsg[39]     = " fills " @ $PCFG::Name;
	$KillMsg[40]     = " guns down " @ $PCFG::Name;
	$KillMsg[41]     = " adds " @ $PCFG::Name;
	$KillMsg[42]     = " fells " @ $PCFG::Name;
	$KillMsg[43]     = $PCFG::Name @ " becomes a victim ";
	$KillMsg[44]     = $PCFG::Name @ " stayed in ";
	$KillMsg[45]     = $PCFG::Name @ " feels the warm glow ";
	$KillMsg[46]     = $PCFG::Name @ " a white-hot plasma injection.";
	$KillMsg[47]     = " asks " @ $PCFG::Name;
	$KillMsg[48]     = $PCFG::Name @ " a plasma transfusion.";
	$KillMsg[49]     = " blows " @ $PCFG::Name;
	$KillMsg[50]     = $PCFG::Name @ " gets a taste of ";
	$KillMsg[51]     = " gives " @ $PCFG::Name;
	$KillMsg[52]     = $PCFG::Name @ " never saw it coming from ";
	$KillMsg[53]     = " mortars " @ $PCFG::Name;
	$KillMsg[54]     = $PCFG::Name @ " didn't see that last mortar from ";
	$KillMsg[55]     = " inflicts a mortal mortar wound on " @ $PCFG::Name;
	$KillMsg[56]     = " mortar takes out " @ $PCFG::Name;
	$KillMsg[57]     = $PCFG::Name @ " gets a blast out of ";
	$KillMsg[58]     = $PCFG::Name @ " succumbs to ";
	$KillMsg[59]     = " puny blaster shows " @ $PCFG::Name;
	$KillMsg[60]     = $PCFG::Name @ " meets ";
	$KillMsg[61]      = " makes quite an impact on " @ $PCFG::Name;
	$KillMsg[62]      = $PCFG::Name @ " becomes the victim of a fly-by from ";
	$KillMsg[63]      = $PCFG::Name @ " leaves a nasty dent in ";
	$KillMsg[64]      = " says, 'Hey " @ $PCFG::Name;
	$KillMsg[65]     = $PCFG::Name @ " gets zapped with ";
	$KillMsg[66]     = $PCFG::Name @ " a nasty jolt.";
	$KillMsg[67]     = $PCFG::Name @ " gets a real shock out of meeting ";
	$KillMsg[68]     = " short-circuits " @ $PCFG::Name;
}

function KillTrak::Parse(%client, %msg) { 

    	for(%i=1; %i<=68; %i++) {

      	  if(String::FindSubStr(%msg, $KillMsg[%i]) != -1) {

    	  	if(String::FindSubStr(%msg, $PCFG::Name) != -1) {

      			  %myteam = Client::GetTeam(getManagerID());

        			for (%cl = 2100; %cl > 2048; %cl--) {
        			  %trackName = Client::GetName(%cl);

          				if(Client::GetName(%cl) != "") {
          			 	  %team = Client::GetTeam(%cl);

       						if (%team == %myteam) {
					  	  //do Nothing
						}
       						else if (String::FindSubStr(%msg, %trackName) != -1) {

         						if(%i<=32) {
							  onCall::Trigger(YouKilled, %msg);
	   					  	  KillTrak::Reset();
							  schedule::Cancel("KillTrak::Reset();");
	   					  	  $KillTrak::Message = "<f0>You Killed: " @ %trackName;
	   					  	  Control::setValue("KillTrak_Text", $KillTrak::Message);
	   					  	  schedule::Add("KillTrak::Reset();", 3);
	  						}
          						else {
							  onCall::Trigger(YouDied, %msg);
	    				 	  	  KillTrak::Reset();
							  schedule::Cancel("KillTrak::Reset();");
	    					  	  $KillTrak::Message = "<f0>Killed By: " @ %trackName;
	    					  	  Control::setValue("KillTrak_Text", $KillTrak::Message);
	    					  	  schedule::Add("KillTrak::Reset();", 3);
	  						}
						}
					}
				}
			}
		}
   	}
}

function KillTrak::GuiOpen(%gui) {

	if(%gui != playGui)
	  return;

	addToSet(playGui, $KillTrak::Container);
}

function KillTrak::GuiClose(%gui) {

	if(%gui != playGui)
	  return;

	removeFromSet(playGui, $KillTrak::Container);
}

function KillTrak::Destroy() {

        removeFromSet(playGui, $KillTrak::Container);
        deleteObject($KillTrak::Container);
}

function KillTrak::Reset() {

	$KillTrak::Message = "";
	Control::setValue("KillTrak_Text", $KillTrak::Message);
}

onCall(GuiOpen, KillTrak::GuiOpen);
onCall(GuiClose, KillTrak::GuiClose);
onCall(ExitGame, KillTrak::Destroy);
onCall(ServerMessage, KillTrak::Parse);
onCall(MapChange, KillTrak::Reset);

KillTrak::Init();
