// ammo
// Evita

$Ammo::Xpos = "470";
$Ammo::Ypos = "410";

function Ammo::Init() {

	if($Ammo::Loaded)
	  return;

	$Ammo::Loaded = true;

	$Ammo::Type[13] = "Bullet";
	$Ammo::Type[15] = "Plasma Bolt";
	$Ammo::Type[17] = "Grenade Ammo";
	$Ammo::Type[19] = "Mortar Ammo";
	$Ammo::Type[21] = "Disc";

	$Ammo::Container = newObject("Ammo_Container", SimGui::Control, $Ammo::Xpos, $Ammo::Ypos, 30, 30);
	$Ammo::HUD = newObject("Ammo_Text", FearGuiFormattedText, 0, 0, 30, 30);

	addToSet($Ammo::Container, $Ammo::HUD);
}

function Ammo::Update() {

	if(!$Mode::PlayMode)
	  return;

	%weaponID = getMountedItem(0);
	%ammo = getItemCount($Ammo::Type[%weaponID]);

	if(%ammo)
	  control::setValue("Ammo_Text", "<F2>" @ %ammo);
	else
	  control::setValue("Ammo_Text", "<F1>~");

	schedule("Ammo::Update();", 1);
}

function Ammo::GuiOpen(%gui) {

	if(%gui != playGui)
	  return;

	addToSet(playGui, $Ammo::Container);
	
	Ammo::Update();
}

function Ammo::GuiClose(%gui) {

	if(%gui != playGui)
	  return;

	removeFromSet(playGui, $Ammo::Container);
}

function Ammo::Destroy() {

        removeFromSet(playGui, $Ammo::Container);
	deleteObject($Ammo::Container);
}

onCall(GuiOpen, Ammo::GuiOpen);
onCall(GuiClose, Ammo::GuiClose);
onCall(ExitGame, Ammo::Destroy);

Ammo::Init();

