// retComp
// Evita

function RetComp::Init() {

	if($retComp::Loaded)
	  return;

	$retComp::Loaded = true;


    	%scr = $pref::VideoFullScreenRes;
    	%idx = String::FindSubStr(%scr,"x");
    	%scrx = String::GetSubStr(%scr,0,%idx);
    	%scry = String::GetSubStr(%scr,%idx+1,5);
    	%x = (%scrx-64)/2;
    	%y = (%scry-64)/2;
    
    	$RetComp::Container = newObject("RetComp_Container", SimGui::Control, %x+1, %y+1, 64, 64);
    	$RetComp::Compass = newObject("RetComp_Compass", FearGui::CompassHud);

    	Control::SetExtent("RetComp_Compass", 1, 1);
    
    	addToSet($RetComp::Container, $RetComp::Compass);
}

function RetComp::GuiOpen(%gui) {

	if(%gui != playGui)
	  return;

	if(!$pref::EvRetComp)
	  return;

	addToSet(playGui, $RetComp::Container);
}

function RetComp::GuiClose(%gui) {

	if(%gui != playGui)
	  return;

	removeFromSet(playGui, $RetComp::Container);
}

function RetComp::Destroy() {

        removeFromSet(playGui, $RetComp::Container);
        deleteObject($RetComp::Container);
}

onCall(GuiOpen, RetComp::GuiOpen);
onCall(GuiClose, RetComp::GuiClose);
onCall(ExitGame,RetComp::Destroy);

RetComp::Init();