// retry
// z0dd

function Retry::Connect(%ip) {

	if(($ConnectedToServer != "True") && ((%ip == $Server::Address)))
	  connect(%ip);
}

function Retry::Schedule() {

	echo("Connecting to server IP: " @ $Server::Address @ " in 2 seconds!");
	$lastIpTried = $Server::Address;
	schedule("Retry::Connect($lastIpTried);", 2);
}

onCall(ConnectionRejected, Retry::Schedule);